clear
AnnFile = 'R:\linlab\linlabspace\Paper Raw Data\2023_NatureNeuro_Wei\Fig 3_cMPOA chemogenetics\011321_1222_Mcherryfreemove_saline 10-22-12_by LS.txt';
[Fstart, Fstop, behaviors] = inputtext(AnnFile);
intro_id = strfind_part(behaviors, {'Male'});
intro_id = intro_id(1);
rmv_id = strfind_part(behaviors, {'other'});
rmv_id = rmv_id(end);
SFstart = Fstart(intro_id:rmv_id-1);
SFstop = Fstop(intro_id:rmv_id-1);
Sbehaviors = behaviors(intro_id:rmv_id-1);

fig = figure(1); hold on;

idx = strfind_part(Sbehaviors, {'Attack'});
for i = 1:length(idx)
    rectangle('Position', [(SFstart(idx(i))-Fstop(intro_id))/25 0 (SFstop(idx(i))-SFstart(idx(i)))/25 0.2], 'FaceColor', 'm', 'EdgeColor', 'none')
end
hline1 = line(NaN,NaN,'LineWidth',5,'LineStyle','-','Color','m');



idx = strfind_part(Sbehaviors, {'Sniff'});
for i = 1:length(idx)
    rectangle('Position', [(SFstart(idx(i))-Fstop(intro_id))/25 0 (SFstop(idx(i))-SFstart(idx(i)))/25 0.2], 'FaceColor', 'b', 'EdgeColor', 'none')
    
end
hline3 = line(NaN,NaN,'LineWidth',5,'LineStyle','-','Color','b');


legend([hline1 hline3],{'Attack','Sniff'})
rect = [0.943, 0.739, 0, 0];
set(legend, 'Position', rect)

set(gcf, 'Units', 'Normalized', 'OuterPosition', [0.1, 0.5, 0.8, 0.2])


set(gca,'ytick',[])
box on

ylabel('');xlabel('');
xlim([0 600])


