% clear;close all;clc;
load('14-29-09 C3-track.mat')
YY=squeeze(Y);
prompt1 ='what is your interested starting frame number?';
start = input(prompt1);
prompt2 ='what is your interested ending frame number?';
finish = input(prompt2);

figure(1)
for n=start:finish
data=YY{n,1};
xloc(n)=data(1);
yloc(n)=-data(2);
end
%% speed
load('roi_polygon.mat')
velosity=[];
for j=1:length(xloc)-1
velosity(j)=sqrt((xloc(j+1)-xloc(j))^2+(yloc(j+1)-yloc(j))^2);
end
velosity(end+1)=velosity(end);
time=(1:1:length(xloc))/frate;
subplot(211)
plot(xloc,yloc,'r.')
xlim([0 640]);
ylim([-480 0]);

%% normalization
deltaX=max(polygon(:,1))-min(polygon(:,1));
deltaY=max(polygon(:,2))-min(polygon(:,2));
scaleX=45/deltaX % cm/pixel
scaleY=45/deltaY % cm/pixel
%scaleX=27/deltaX % cm/pixel
%scaleY=14.5/deltaY % cm/pixel
Normspeed=velosity*scaleX;%cm/frame
subplot(212)
plot(time,Normspeed);
xlabel('Time (sec)')
ylabel('Normalized Speed (cm/sampling)')
aveSpeed=mean(Normspeed);
output = ['average speed of this time period is: ',num2str(aveSpeed)];
disp(output);

save parameters frate xloc yloc Normspeed polygon

